using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Mpeg2;

namespace skyscraper5.Skyscraper.Scraper.Utils
{
    class PacketJunction : ITsPacketProcessor
    {
        private readonly ITsPacketProcessor[] _args;

        public PacketJunction(params ITsPacketProcessor[] args)
        {
            _args = args;
        }

        public void PushPacket(TsPacket packet)
        {
            foreach (ITsPacketProcessor packetProcessor in _args)
                packetProcessor.PushPacket(packet);
        }
    }
}
